Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[solved] emerge @preserved-rebuild => no ebuilds to satisfy
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Portage & Programming
View previous topic :: View next topic  
Author Message
noclear2000
Tux's lil' helper
Tux's lil' helper


Joined: 21 Jun 2006
Posts: 144
Location: Germany

PostPosted: Mon Aug 25, 2014 4:36 pm    Post subject: [solved] emerge @preserved-rebuild => no ebuilds to satis Reply with quote

hi there,

when running "emerge @preserved-rebuild" I get:

Code:
root@xxx [~]# emerge @preserved-rebuild
Calculating dependencies... done!

emerge: there are no ebuilds to satisfy "dev-lang/python:2.6".
(dependency required by "@preserved-rebuild" [argument])


Code:

root@xxx [~]# eselect python list
Available Python interpreters:
  [1]   python2.6
  [2]   python2.7
  [3]   python3.3 *



That leads me to the question if I really need that rebuild? If yes how to rebuild (is python 2.6 maybe being removed?), if no: how to get rid of the preserved-rebuild entry for that one?

How can I see what is being emerged (so which packages pulls the 2.6 python into the dependency tree), so basically "how do I inspect the preserved rebuilds?"

Thanks and cheers,


Last edited by noclear2000 on Mon Aug 25, 2014 8:46 pm; edited 1 time in total
Back to top
View user's profile Send private message
ct85711
Tux's lil' helper
Tux's lil' helper


Joined: 27 Sep 2005
Posts: 116

PostPosted: Mon Aug 25, 2014 8:13 pm    Post subject: Reply with quote

I just checked my portage tree, and python-2.6 has already been removed (I believe a while ago, as I don't recall having it on my system for quite some time). So you may want to run depclean and see what all needs to be cleaned off (as I suspect you have several other items that is installed and only taking up space). If you need python-2.6 for some reason, your going have to add that ebuild back in, in a overlay.

Code:

emerge --depclean -pv


This will run depclean on your system, and only give you a list of items that portage thinks that can be removed and not used for anything (dependent on what's installed and your use flags). Just a note, it's always a good idea to go through the proposed list that depclean wants to remove before letting it run freely (like my last run on depclean wanted to remove lvm2 when though it's currently being used right now. So it's not always perfect.) If you like, your also welcome to post the list that depclean wants to remove for some suggestions.

EDIT: On second thought, you may want to make sure your system is up to date prior to running depclean. I tend to keep forgetting that not everyone regularly updates their system. Quite often, the dependency on packages changes (including USE flags), which can affect depclean's output.
Back to top
View user's profile Send private message
noclear2000
Tux's lil' helper
Tux's lil' helper


Joined: 21 Jun 2006
Posts: 144
Location: Germany

PostPosted: Mon Aug 25, 2014 8:45 pm    Post subject: Reply with quote

Hi ct85711,

Thanks a lot for your reply. After every update I do a depclean and thus consequently there was nothing a depclean run wanted to remove.

You are right, python-2.6 seems to be out of the tree for a while.

I meanwhile solved that issue by removing python 2.6:

Code:

emerge -Ca =dev-lang/python-2.6.8-r3


Now the preserve rebuild is working fine.

Things I learned by this fiddling:

Code:

portageq list_preserved_libs /


Is helpful for listing all preserved libraries. And emerge shows the packages referencing them after each merge.

Thanks for your help. :)

I'll mark that solved.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Portage & Programming All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum